
# Class: OptionWidget

## Hierarchy

* **OptionWidget**

## Index

### Constructors

* [constructor](optionwidget.md#constructor)

### Properties

* [name](optionwidget.md#name)
* [params](optionwidget.md#params)
* [type](optionwidget.md#type)

## Constructors

###  constructor

\+ **new OptionWidget**(`params`: [IOptionParams](../interfaces/ioptionparams.md)): *[OptionWidget](optionwidget.md)*

**Parameters:**

Name | Type |
------ | ------ |
`params` | [IOptionParams](../interfaces/ioptionparams.md) |

**Returns:** *[OptionWidget](optionwidget.md)*

## Properties

###  name

• **name**: *string*

___

###  params

• **params**: *[IOptionConfig](../interfaces/ioptionconfig.md)*

___

###  type

• **type**: *string*
